classification
Title: No more refer to Python "long"
Type: Stage: resolved
Components: Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: mark.dickinson, python-dev, serhiy.storchaka, terry.reedy, tshepang
Priority: normal Keywords: patch

Created on 2013-08-19 17:35 by serhiy.storchaka, last changed 2013-08-27 17:40 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
no_long.patch serhiy.storchaka, 2013-08-19 17:35 review
Messages (4)
msg195650 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-08-19 17:35
Here is a patch which removes (almost all) mentions of Python long type from docstrings, exception messages and comments.
msg196034 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-08-23 21:28
For msilib, 'int numbers' should just be 'ints' or 'integers'.
---
For PC/winreg.c '''\
PyDoc_STRVAR(PyHKEY_Detach_doc,
"key.Detach() -> int\n"
...
"On 64 bit windows, the result of this function is a long integer");'''

This last line should be deleted rather than modified, as its only point is to override the signature declaration of returning int.
---
I cannot vouch for this change:
-/* necessary to make sure types aren't coerced (e.g., int and long) */
+/* necessary to make sure types aren't coerced (e.g., float and complex) */
I presume you thought about it carefully in context.
---
The rest of the changes look grammatically correct. I cannot be sure about the executable code changes.
msg196302 - (view) Author: Roundup Robot (python-dev) Date: 2013-08-27 17:19
New changeset 4d62a62ba44d by Serhiy Storchaka in branch '3.3':
Issue #18783: Removed existing mentions of Python long type in docstrings,
http://hg.python.org/cpython/rev/4d62a62ba44d

New changeset 0872257752c2 by Serhiy Storchaka in branch 'default':
Issue #18783: Removed existing mentions of Python long type in docstrings,
http://hg.python.org/cpython/rev/0872257752c2
msg196303 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-08-27 17:39
Thank you Ezio and Terry for reviews.

> I presume you thought about it carefully in context.

Yes. Here can be any different types for which instances can be equal (1 == 1L, 1.0 == 1.0+0.0j).

> This kind of changes are a bit out of place in a patch like this.  They risk to
> introduce subtle problems and might go unnoticed during commit reviews.

I reverted code back to PyErr_SetString.

The only nontrivial changes are in Lib/pickletools.py, Lib/test/test_itertools.py and Lib/test/test_long.py (removed redundant handling of 'L' suffix in long representation).
History
Date User Action Args
2013-08-27 17:40:16serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-08-27 17:39:05serhiy.storchakasetmessages: + msg196303
2013-08-27 17:19:30python-devsetnosy: + python-dev
messages: + msg196302
2013-08-23 21:28:31terry.reedysetnosy: + terry.reedy
messages: + msg196034
2013-08-23 16:45:43tshepangsetnosy: + tshepang
2013-08-20 10:10:14mark.dickinsonsetnosy: + mark.dickinson
2013-08-19 17:35:23serhiy.storchakacreate